Calendar Functions
cal_from_jd
Calendar Functions
PHP Manual

# cal_days_in_month

(PHP 4 >= 4.1.0, PHP 5, PHP 7)

cal_days_in_month — Return the number of days in a month for a given year and calendar

### Description

int cal_days_in_month ( int `$calendar` , int `$month` , int `$year` )

This function will return the number of days in the `month` of `year` for the specified `calendar`.

### Parameters

`calendar`

  Calendar to use for calculation

`month`

  Month in the selected calendar

`year`

  Year in the selected calendar

### Return Values

The length in days of the selected month in the given calendar

### Examples

Example #1 cal_days_in_month() example

`<?php
$number = cal_days_in_month(CAL_GREGORIAN, 8, 2003); // 31
echo "There were {$number} days in August 2003";
?>`

Calendar Functions
cal_from_jd
Calendar Functions
PHP Manual